# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Checks API ```yaml openapi: 3.1.0 info: title: Checks API version: 2.1.1 summary: Checks API description: | Access detailed information and images for your issued checks by searching with flexible criteria like account number, check number, date, and amount. This API helps you quickly track, verify, and retrieve check records and images to streamline your reconciliation and audit processes. contact: name: JPMorgan Chase & Co. Payments API Support url: https://developer.payments.jpmorgan.com/contact/support email: imsd.security.operations@jpmorgan.com servers: - url: https://api.payments.jpmorgan.com/payable/v2 description: PRODUCTION-MTLS - url: https://api-mock.payments.jpmorgan.com/payable/v2 description: MOCK tags: - name: Check Inquiry and Image description: | The Checks API enables JPMC clients to inquire about the checks and retrieve check images - name: Check Issuance and Cancellation description: | The API enables JPMC clients to submit check issuance and cancellation details for reconciliation and positive pay. - name: Check Health description: | The health API provides information about the operational status of the Checks API service and its dependencies. - name: Check Stop and Revoke description: | The API enables JPMC clients to create and revoke stop payments on single or range of checks. - name: Check Print description: | The Check Print API enables JPMC clients to submit a direct entry check for printing. paths: /checks/search: post: summary: Retrieve check information operationId: checkInquiry description: "Search and retrieve check information based on the provided criteria. Supports pagination via the offset parameter\n\nNotes : \n * It is recommended to include dates with your search. If no dates are provided, then the last 90 days are used\n * postedDateLte and postedDateGte are by definition not valid when searching on the OUTSTANDING or CANCELLED check statuses\n * clientReference is a required parameter when searching on the CASHIER_CHECK_OR_BANK_DRAFT_PRESENTED check status\n * No more than one check can be returned by a single search on the TELLER_CASHED status\n * Nonsequential/list searches are not supported for the TELLER_CASHED status\n * If no status is set, then it will default to searching on the following statuses : CANCELLED, OUTSTANDING, PAID, RETURNED and STOP_ON_FILE\n" tags: - Check Inquiry and Image requestBody: description: Check Search Request required: true content: application/json: schema: $ref: '#/components/schemas/CheckInquiryRequest' examples: US & CA - Single Check Search Request: $ref: '#/components/examples/CheckInquirySingleSearchRequest' US & CA - Range Check Search Request: $ref: '#/components/examples/CheckInquiryRangeSearchRequest' US & CA - Non Sequential Check Search Request: $ref: '#/components/examples/CheckInquiryListSearchRequest' US & CA - Range Stop Check Search Request: $ref: '#/components/examples/CheckInquiryRangeStopSearchRequest' US & CA - Single Requested Check Search Request: $ref: '#/components/examples/CheckInquirySingleRequestedSearchRequest' US & CA - Single Cashiers Check Search Request: $ref: '#/components/examples/CheckInquirySingleCashiersSearchRequest' responses: '200': description: Check Search Response content: application/json: schema: $ref: '#/components/schemas/ChecksCollectionResponse' examples: US & CA - Single Check Search Response: $ref: '#/components/examples/CheckInquirySingleSearchResponse' US & CA - Range Check Search Response: $ref: '#/components/examples/CheckInquiryRangeSearchResponse' US & CA - Non Sequential Check Search Response: $ref: '#/components/examples/CheckInquiryListSearchResponse' US & CA - Range Stop Check Search Response: $ref: '#/components/examples/CheckInquiryRangeStopSearchResponse' US & CA - Single Requested Check Search Response: $ref: '#/components/examples/CheckInquiryRequestedSearchResponse' US & CA - Single Cashiers Check Search Response: $ref: '#/components/examples/CheckInquiryCashiersSearchResponse' '400': description: "Bad Request. \n\n**List of Error codes and Usage explanations.**\n\n| Error Code | Usage |\n| -------------- |------------------------------------------------|\n| 10001 | Mandatory field missing |\n| 10002 | Minimum length violation |\n| 10003 | Maximum length violation |\n| 10100 | Minimum value violation |\n| 10101 | Maximum value violation |\n| 10102 | Range violation |\n| 10103 | Bad format |\n| 10104 | Bad value |\n| 10105 | Unexpected field |\n| 10199 | Other |\n| 12000 | System error |\n| 13000 | Uncategorized error |\n| 14000 | Security failure |" content: application/json: schema: $ref: '#/components/schemas/Error' examples: Account Number Missing Response: $ref: '#/components/examples/InvalidDataError' Checks Missing Response: $ref: '#/components/examples/CheckInquiryChecksMissingResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/images/search: post: summary: Retrieve check images description: "Search and retrieve check images based on the provided criteria. Supports pagination via the offset parameter\n\nNotes : \n * It is recommended to include dates with your search. If no dates are provided, then the last 90 days are used\n" operationId: retrieveCheckImages tags: - Check Inquiry and Image requestBody: description: Check Image Search Request required: true content: application/json: schema: $ref: '#/components/schemas/CheckImageRequest' examples: US & CA - Single Check Image Search Request: $ref: '#/components/examples/CheckImageSingleSearchRequest' US & CA - Range Check Image Search Request: $ref: '#/components/examples/CheckImageRangeSearchRequest' US & CA - Non Sequential Check Image Search Request: $ref: '#/components/examples/CheckImageListSearchRequest' responses: '200': description: Check Image Search Response content: application/json: schema: $ref: '#/components/schemas/CheckImageCollectionResponse' examples: US & CA - Single Check Image Search Response: $ref: '#/components/examples/CheckImageSingleSearchResponse' US & CA - Range Check Image Search Response: $ref: '#/components/examples/CheckImageRangeSearchResponse' US & CA - Non Sequential Check Image Search Response: $ref: '#/components/examples/CheckImageListSearchResponse' '400': description: "Bad Request. \n\n**List of Error codes and Usage explanations.**\n\n| Error Code | Usage |\n| -------------- |------------------------------------------------|\n| 10001 | Mandatory field missing |\n| 10002 | Minimum length violation |\n| 10003 | Maximum length violation |\n| 10100 | Minimum value violation |\n| 10101 | Maximum value violation |\n| 10102 | Range violation |\n| 10103 | Bad format |\n| 10104 | Bad value |\n| 10105 | Unexpected field |\n| 10199 | Other |\n| 12000 | System error |\n| 13000 | Uncategorized error |\n| 14000 | Security failure |" content: application/json: schema: $ref: '#/components/schemas/Error' examples: Account Number Missing Response: $ref: '#/components/examples/InvalidDataError' Checks Missing Response: $ref: '#/components/examples/CheckImageChecksMissingResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/issuances: post: summary: Submit issuance for a single check operationId: checkIssuance description: | Submit the issuance details for a single check tags: - Check Issuance and Cancellation requestBody: description: "Checks Issuance Request Body\n\nNote : \n* clientReference is currently not supported for issuance or cancellation requests\n" required: true content: application/json: schema: $ref: '#/components/schemas/CheckIssue' examples: US & CA - Check Issuance With Escheatment Data Request: $ref: '#/components/examples/CheckIssuanceWithEscheatmentRequest' US & CA - Check Issuance Without Escheatment Data Request: $ref: '#/components/examples/CheckIssuanceWithoutEscheatmentRequest' responses: '201': description: Check Issuance Response content: application/json: schema: $ref: '#/components/schemas/CheckIssueResponse' examples: US & CA - Check Issuance Response: $ref: '#/components/examples/CheckIssuanceResponse' '400': description: "Bad Request. \n\n**List of Error codes and Usage explanations.**\n\n| Error Code | Usage |\n| -------------- |------------------------------------------------|\n| 10001 | Mandatory field missing |\n| 10002 | Minimum length violation |\n| 10003 | Maximum length violation |\n| 10100 | Minimum value violation |\n| 10101 | Maximum value violation |\n| 10102 | Range violation |\n| 10103 | Bad format |\n| 10104 | Bad value |\n| 10105 | Unexpected field |\n| 10199 | Other |\n| 12000 | System error |\n| 13000 | Uncategorized error |\n| 14000 | Security failure |" content: application/json: schema: $ref: '#/components/schemas/Error' examples: US & CA - Account Number Missing Response: $ref: '#/components/examples/InvalidDataError' US & CA - Check Amount Missing Response: $ref: '#/components/examples/CheckIssuanceCheckAmountMissingResponse' US & CA - Issue Date Missing Response: $ref: '#/components/examples/CheckIssuanceIssueDateMissingResponse' US & CA - Issue Already Exists Response: $ref: '#/components/examples/CheckIssuanceDuplicateIssueResponse' US & CA - Stop Exists for Check Response: $ref: '#/components/examples/CheckIssuanceStopExistsResponse' US & CA - Cancel Exists for Check Response: $ref: '#/components/examples/CheckIssuanceCancelExistsResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/cancellations: post: summary: Submit cancellation for a single check operationId: checkCancellation description: | Submit the cancellation details for a single check tags: - Check Issuance and Cancellation requestBody: description: "Checks Cancellation Request Body\n\nNote : \n* Escheatment fields are not used or needed for Cancel requests : The third priority of the payees array, the address \nobject and the ESCHEATMENT_PRODUCT_CODE in the additionalInformation object\n* clientReference is currently not supported for issuance or cancellation requests\n" required: true content: application/json: schema: $ref: '#/components/schemas/CheckCancellation' examples: US & CA - Check Cancellation Request: $ref: '#/components/examples/CheckCancellationRequest' responses: '200': description: Check Cancellation Response content: application/json: schema: $ref: '#/components/schemas/CheckCancellationResponse' examples: US & CA - Check Cancellation Response: $ref: '#/components/examples/CheckCancellationResponse' '400': description: "Bad Request. \n\n**List of Error codes and Usage explanations.**\n\n| Error Code | Usage |\n| -------------- |------------------------------------------------|\n| 10001 | Mandatory field missing |\n| 10002 | Minimum length violation |\n| 10003 | Maximum length violation |\n| 10100 | Minimum value violation |\n| 10101 | Maximum value violation |\n| 10102 | Range violation |\n| 10103 | Bad format |\n| 10104 | Bad value |\n| 10105 | Unexpected field |\n| 10199 | Other |\n| 12000 | System error |\n| 13000 | Uncategorized error |\n| 14000 | Security failure |" content: application/json: schema: $ref: '#/components/schemas/Error' examples: US & CA - Account Number Missing Response: $ref: '#/components/examples/InvalidDataError' US & CA - Check Amount Missing Response: $ref: '#/components/examples/CheckCancellationCheckAmountMissingResponse' US & CA - Issue Date Missing Response: $ref: '#/components/examples/CheckCancellationIssueDateMissingResponse' US & CA - Cancel Already Exists Response: $ref: '#/components/examples/CheckCancellationDuplicateCancelResponse' US & CA - Stop Exists for Check Response: $ref: '#/components/examples/CheckCancellationStopExistsResponse' US & CA - Check Has Already Cleared Response: $ref: '#/components/examples/CheckCancellationCheckHasClearedResponse' US & CA - Cancel Amount Mismatch Response: $ref: '#/components/examples/CheckCancellationAmountMismatchResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/health: get: summary: Retrieve health of service operationId: checkHealth description: | Retrieve the health of the Check service. The health check endpoint caches the results for 30 seconds. tags: - Check Health responses: '200': description: Check Search Response content: application/json: schema: $ref: '#/components/schemas/CheckHealthResponse' examples: US & CA - Health Shallow Response All Services Up: $ref: '#/components/examples/HealthResponseAllServicesUpShallow' '400': description: "Bad Request. \n\n**List of Error codes and Usage explanations.**\n\n| Error Code | Usage |\n| -------------- |------------------------------------------------|\n| 10001 | Mandatory field missing |\n| 10002 | Minimum length violation |\n| 10003 | Maximum length violation |\n| 10100 | Minimum value violation |\n| 10101 | Maximum value violation |\n| 10102 | Range violation |\n| 10103 | Bad format |\n| 10104 | Bad value |\n| 10105 | Unexpected field |\n| 10199 | Other |\n| 12000 | System error |\n| 13000 | Uncategorized error |\n| 14000 | Security failure |" content: application/json: schema: $ref: '#/components/schemas/Error' examples: US & CA - Error Response Bad Request: $ref: '#/components/examples/CheckInquiryChecksMissingResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/stops: post: summary: Create Stop Payment operationId: createStop description: | Create a stop payment for a check or a range of checks. This operation allows clients to place a stop payment on a specific check or a range of checks. tags: - Check Stop and Revoke requestBody: description: | Check Stop Payment Request If stopping a range of checks, check amount and payee details are not applicable. required: true content: application/json: schema: $ref: '#/components/schemas/StopPaymentRequest' examples: US & CA - General Single Stop Payment Request: $ref: '#/components/examples/CheckSingleStopPaymentGeneralRequest' US & CA - Single Stop Payment Request with specific amount: $ref: '#/components/examples/CheckSingleStopPaymentAmountOnlyRequest' US & CA - Single Stop Payment Request with payee only: $ref: '#/components/examples/CheckSingleStopPaymentPayeeOnlyRequest' US & CA - Single Stop Payment Request with full details: $ref: '#/components/examples/CheckSingleStopPaymentWithFullDetailsRequest' US & CA - Range Stop Payment Request: $ref: '#/components/examples/CheckRangeStopPaymentRequest' responses: '202': $ref: '#/components/responses/202-CheckStopPaymentResponse' '400': $ref: '#/components/responses/400-CheckStopPaymentResponse' '401': $ref: '#/components/responses/401-CheckStopPaymentResponse' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/stops/revoke: post: summary: Revoke Stop Payment operationId: revokeStop description: | Revoke a stop payment for a check or a range of checks. This will remove the stop payment from the system, allowing the check to be processed normally. tags: - Check Stop and Revoke requestBody: description: Check Stop Payment Revocation Request required: true content: application/json: schema: $ref: '#/components/schemas/StopPaymentRevokeRequest' examples: US & CA - Stop Revoke Request using Stop ID: $ref: '#/components/examples/CheckStopRevokeByIdRequest' US & CA - General Single Stop Revoke Request: $ref: '#/components/examples/CheckSingleStopRevokeGeneralRequest' US & CA - Single Stop Revoke Request with specific amount: $ref: '#/components/examples/CheckSingleStopRevokeAmountOnlyRequest' US & CA - Single Stop Revoke Request with payee only: $ref: '#/components/examples/CheckSingleStopRevokePayeeOnlyRequest' US & CA - Single Stop Revoke Request with full details: $ref: '#/components/examples/CheckSingleStopRevokeWithFullDetailsRequest' US & CA - Range Stop Revoke Request: $ref: '#/components/examples/CheckRangeStopRevokeRequest' responses: '202': $ref: '#/components/responses/202-CheckStopPaymentRevokeResponse' '400': $ref: '#/components/responses/400-CheckStopPaymentRevokeResponse' '401': $ref: '#/components/responses/401-CheckStopPaymentResponse' '403': $ref: '#/components/responses/403-Forbidden' '404': $ref: '#/components/responses/404-CheckStopPaymentRevokeResponse' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/prints: summary: Submit Check Print request for processing description: Submit Check Print request for processing post: summary: Submit Check Print request for processing operationId: checkPrintCashiers description: "Submit Check Print request for processing.\n\nThis will initiate a process that will print and mail a check to the specified payee and address.\n\nThe export process is asynchronous and so will not be immediately processed.\n\nSupported Templates:\n * US Cashier's Check (CASHIERS/DRAFT)\n - Notes : \n * Only US Accounts are supported for the Cashier's Check requests at this time\n * This endpoint cannot be used on : A bank holiday or a weekend (EST)\n * Because the checkNumber is assigned by the bank due to the nature of this request, then the clientReference is \n used to identify the request\n * The clientReference must be unique\n\n * US and CA Accounts Payable (6 columns) (AP6DF/AP6DF_MEMO)\n - Notes :\n * The issueDate can be no more than 180 days in the future from the current date\n * If no issueDate is provided, it defaults to the current date\n * The issueDate cannot be a prior date\n" tags: - Check Print requestBody: required: true description: Check Print Request content: application/json: schema: $ref: '#/components/schemas/CheckPrintsRequest' examples: US - Check Print Without Remittance Document Information and USPS courier Request: $ref: '#/components/examples/CheckPrintCashiersWithoutRemittanceAndUSPSRequest' US - Check Print With Remittance Document Information and FedEx courier Request: $ref: '#/components/examples/CheckPrintCashiersWithRemittanceAndFedexRequest' US & CA - Accounts Payable 6 Columns Print Request Without Special Delivery Request: $ref: '#/components/examples/CheckPrintAccountsPayableRequest' US & CA - Accounts Payable 6 Columns Print Request With Special Delivery Request: $ref: '#/components/examples/CheckPrintAccountsPayableSpecialDeliveryRequest' responses: '202': $ref: '#/components/responses/202-CheckPrintResponse' '400': $ref: '#/components/responses/400-CheckPrintResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '503': $ref: '#/components/responses/503-ServiceUnavailable' /checks/prints/{id}: summary: Get Check Print Details by Id description: Get Check Print Details by Id get: summary: Get Check Print Details operationId: checkPrintDetails description: "Request Check Print Details for submitted Check Print jobs using the id returned in the Check Print response.\n\nNotes : \n * The process to export a check for printing is asynchronous. After submitting a check print request, this \n endpoint can be used to check the status of the request\n * The results of an id are cached for five minutes. Subsequent requests for the same id within that time \n frame will return the cached result\n" tags: - Check Print parameters: - $ref: '#/components/parameters/PrintId' responses: '200': description: Check Print Details Response content: application/json: schema: $ref: '#/components/schemas/CheckPrintDetailsResponse' examples: US & CA - Accounts Payable 6 Columns Print Request Without Special Delivery Response: $ref: '#/components/examples/CheckPrintAccountsPayableResponse' US & Ca - Accounts Payable Not Yet Exported Response: $ref: '#/components/examples/CheckPrintAccountsPayableNotYetExportedResponse' US - Check Print With Remittance Document Information and FedEx courier Response: $ref: '#/components/examples/CheckPrintCashierResponse' US - Accounts Payable With Export Failure Response: $ref: '#/components/examples/CheckPrintAccountsPayableExportFailureResponse' '400': $ref: '#/components/responses/400-ChecksPrintDetailsResponse' '401': $ref: '#/components/responses/401-Unauthorized' '403': $ref: '#/components/responses/403-Forbidden' '404': $ref: '#/components/responses/404-NotFound-Check-Print' '503': $ref: '#/components/responses/503-ServiceUnavailable' components: schemas: AccountNumber: title: AccountNumber type: string minLength: 2 maxLength: 17 pattern: ^\d+?$ description: "This field captures a regular account number .\n\n **Maximum length supported for different instruments and markets**:\n\n | Market \t | Maximum length limits |\n |-----------------------------------|---------------------------------------------------------------|\n | USA \t | 17 \t|\n | CAD \t | 17 |\n" FinancialInstitutionId: type: string minLength: 1 maxLength: 11 description: Bank or Institution Id E.g ABA, BIC etc., FinancialInstitutionIdType: type: string enum: - USABA - BIC - SORT_CODE - CLEARING_SYSTEM_ID description: The Bank or Institution ID type FinancialInstitution: title: FinancialInstitution Object type: object description: The bank or financial institution properties: id: $ref: '#/components/schemas/FinancialInstitutionId' idType: $ref: '#/components/schemas/FinancialInstitutionIdType' branchNumber: type: string description: Branch of the bank or financial institution minLength: 1 maxLength: 99 pattern: ^[a-zA-z0-9]$ required: - id - idType Debtor: title: Debtor type: object description: Contains debtor information. properties: accountNumber: $ref: '#/components/schemas/AccountNumber' financialInstitutionId: $ref: '#/components/schemas/FinancialInstitution' required: - accountNumber CheckRange: title: CheckRange description: Check Range Details. Range can support up to 1000 checks. type: object required: - start - end properties: start: type: string description: | Represents a greater-or-equal match to support range style filtering on check number. minLength: 1 pattern: ^\d+?$ maxLength: 10 end: type: string description: | Represents a lesser-or-equal match to support range style filtering on check number. minLength: 1 maxLength: 10 pattern: ^\d+?$ CheckNumber: type: string description: Check number as assigned by the agent. minLength: 1 maxLength: 10 pattern: ^\d+?$ CheckNumbers: title: CheckNumbers description: Non-sequential Check numbers type: array items: $ref: '#/components/schemas/CheckNumber' minItems: 1 maxItems: 5 CheckNumberSearchOptions: title: CheckNumberSearchOptions description: | Maximum of one of the options is allowed, choose either checkNumbers or checkRange for search criteria. type: object properties: checkRange: $ref: '#/components/schemas/CheckRange' description: | Allows for searching across a range of check numbers. checkNumbers: $ref: '#/components/schemas/CheckNumbers' description: | Allows for an array of check numbers to be utilized for a search CheckSequenceNumber: title: CheckSequenceNumber type: string description: Sequence number of a check. This is a unique identifier assigned by the bank to track the check through different processing stages, such as verification, clearing, and settlement. pattern: ^\d+?$ minLength: 1 maxLength: 17 Decimal: type: string minLength: 1 maxLength: 11 pattern: ^\d+(\.\d+)?$ Status: type: string enum: - CANCELLED - PRESENTED - DROPPED - OUTSTANDING - PAID - REJECTED - RETURNED - REQUESTED - STALE - STOP_ON_FILE - TELLER_CASHED - CASHIER_CHECK_OR_BANK_DRAFT_PRESENTED description: "\nThe current status of the check.\nNotes : \n* CASHIER_CHECK_OR_BANK_DRAFT_PRESENTED only available for Check Print Clients with Cashier Check product.\n* TELLER_CASHED data is only available for the current day that the inquiry is performed on (postedDateLte and postedDateGte should be set to current date)\n\n| STATUS | Description | Supported Countries |\n|---------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------|---------------------|\n| CANCELLED | The check has been cancelled/voided and will remove/reconcile the outstanding/issued record. | `US` and `CA` |\n| PRESENTED | The check has been submitted for payment at a bank or financial institution. | `MX` |\n| DROPPED | The check print request has been removed from processing, possibly due to an error or cancellation. Or a Stale check has been refunded. | `MX` |\n| OUTSTANDING | The check has been issued but not yet presented for payment or reconciled. | `US` and `CA` |\n| PAID | The check has been successfully processed and the funds have been debited from the payor’s account. | `US` and `CA` |\n| REJECTED | The check was not accepted for processing and rejected by the user. | `US` and `CA` |\n| RETURNED | The check was returned by the bank, possibly due to insufficient funds or a stop payment order. | `US` and `CA` |\n| REQUESTED | A request has been made to print the check. | `US` and `CA` |\n| STALE | The check is considered outdated and no longer valid for payment, typically after a certain period. | `MX` |\n| STOP_ON_FILE | A stop payment order has been placed on the check, preventing it from being processed. | `US` and `CA` |\n| TELLER_CASHED | The check has been cashed at a bank teller, and the funds have been disbursed to the payee. | `US` and `CA` |\n| CASHIER_CHECK_OR_BANK_DRAFT_PRESENTED | A cashier's check or bank draft has been presented for payment at a financial institution. | `US` and `CA` |" Payee: title: Payee description: Payee information. These are the Payee lines on the check itself type: object properties: name: type: string description: Payee name. pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()<>*^;\-=.\\ ]*$ minLength: 1 maxLength: 50 priority: type: integer format: int32 description: Priority of the payee. minimum: 1 maximum: 3 ClientReference: type: string minLength: 1 maxLength: 50 pattern: ^[a-zA-Z0-9\- ]*$ description: The client provided reference identifier associated with a cashier's check. CheckInquiryRequest: title: CheckInquiryRequest type: object summary: Request for Check Inquiry description: | The Check Inquiry Request object is used to search for checks based on various criteria. It allows users to filter checks by account number, check number, issue date, posted date, amount, status, and payee information. The request also supports pagination through the limit and offset parameters. The request is designed to be flexible and allows for a variety of search options, including single check searches, range searches, and list searches. properties: debtor: $ref: '#/components/schemas/Debtor' checks: $ref: '#/components/schemas/CheckNumberSearchOptions' checkSequenceNumber: $ref: '#/components/schemas/CheckSequenceNumber' issueDateGte: type: string format: date description: | Represents a greater-or-equal match to support range style filtering on issue date. No more than one year can be between issueDateGte and issueDateLte. ISO8601 date format issueDateLte: type: string format: date description: | Represents a lesser-or-equal match to support range style filtering on issue date. No more than one year can be between issueDateGte and issueDateLte. ISO8601 date format postedDateGte: type: string format: date description: | Represents a greater-or-equal match to support range style filtering on posted date. No more than one year can be between postedDateGte and postedDateLte. ISO8601 date format postedDateLte: type: string format: date description: | Represents a lesser-or-equal match to support range style filtering on posted date. No more than one year can be between postedDateGte and postedDateLte. ISO8601 date format amountLte: $ref: '#/components/schemas/Decimal' description: | Represents a lesser-or-equal match to support range style filtering on check amount. amountGte: $ref: '#/components/schemas/Decimal' description: | Represents a greater-or-equal match to support range style filtering on check amount. status: $ref: '#/components/schemas/Status' payees: type: array items: $ref: '#/components/schemas/Payee' minItems: 0 maxItems: 3 clientReference: $ref: '#/components/schemas/ClientReference' limit: type: integer format: int32 minimum: 1 maximum: 10 default: 5 description: "The maximum number of results to return. This parameter is used for\npagination and limits the number of checks returned in the response.\nThe default value is 5, the maximum value for list searches is 5 and \nthe maximum value for range searches is 10.\n" offset: description: "This is the page number used for pagination. It is a 0-based value and for an initial search should be 0, then to \nretrieve the next page, increment by 1. For instance the first search uses 0, the followup search uses 1, 2, etc.\nDuring pagination, no other parameter should be altered.\n" type: integer format: int32 minimum: 0 maximum: 999 default: 0 required: - debtor - checks CheckType: type: string description: "\nCheck type as assigned by the agent.\n\nNote : \n* Electronic checks do not have associated images.\n\n| Check Type | Description | Comments | Supported Countries | \n|---------------------------|-----------------------------------------------------------------------------|---------------|---------------------|\n| CUSTOMER_CHECK | A check issued by a customer from their personal or business bank account. | Default for `US` and `CA` | `US` and `CA` | \n| CERTIFIED_CUSTOMER_CHECK | A check guaranteed by the bank, ensuring that the funds are available. | | | \n| BANK_CHECK | A check drawn directly from the bank's funds, often used for large payments.| | | \n| DRAFT | A check that is drawn against funds held in a bank account, similar to a bill of exchange. | | | \n| ELECTRONIC_DRAFT | A digital version of a draft check, processed electronically. | Not supported for Issuance or Cancellation requests | `US` and `CA` | \n" minLength: 1 maxLength: 25 enum: - CUSTOMER_CHECK - CERTIFIED_CUSTOMER_CHECK - BANK_CHECK - DRAFT - ELECTRONIC_DRAFT IsoCurrencyCode: description: ISO 4217 Alpha-3 Currency Code type: string minLength: 3 maxLength: 3 pattern: ^[A-Z]{3}$ example: AUD CheckAmount: title: CheckAmount type: object description: Check Amount properties: amount: $ref: '#/components/schemas/Decimal' description: A String representation of a (potentially) decimal positive number. currency: $ref: '#/components/schemas/IsoCurrencyCode' required: - amount - currency IssueDate: type: string description: Date that is written on the face of the check and is used to determine the date of the check. ISO8601 date format format: date UnstructuredAddress: title: UnstructuredAddress type: array description: Unstructured Addresses minItems: 1 maxItems: 3 items: type: string minLength: 1 maxLength: 40 pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()<>*^;\-=.\\ ]*$ IsoCountrySubdivisionCode: title: ISOCountrySubdivisionCode type: string description: | ISO 3166-2 Alphanumeric Country Subdivision Code. This could be states in the United States, provinces in Canada or states in Australia. minLength: 1 maxLength: 3 pattern: ^[0-9A-Z]{2,3}$ examples: - VIC - NY - IL - WA IsoCountryCode: title: ISOCountryCode type: string description: ISO 3166-1 Alpha-2 Country Code minLength: 2 maxLength: 2 pattern: ^[A-Z]{2}$ example: US Address: title: Address type: object description: Representation of an Address minProperties: 1 properties: addressLines: $ref: '#/components/schemas/UnstructuredAddress' city: type: string minLength: 1 maxLength: 35 pattern: ^[a-zA-Z ]*$ postalCode: type: string minLength: 1 maxLength: 20 pattern: ^[a-zA-Z0-9 ]*$ description: | Postal code of the address. This could be ZIP code in the United States, Postal Code in Canada or Postcode in Australia. examples: - 60642 - 2009 - EC1A 1BB countrySubDivision: $ref: '#/components/schemas/IsoCountrySubdivisionCode' country: $ref: '#/components/schemas/IsoCountryCode' UnstructuredInformation: type: object title: UnstructuredInformation description: Unstructured information about request properties: valueType: type: string description: Information type minLength: 1 maxLength: 50 pattern: ^[A-Z_]*$ examples: - ESCHEATMENT_PRODUCT_CODE - ADDITIONAL_DATA text: type: string description: Information text minLength: 1 maxLength: 200 pattern: ^[a-zA-Z0-9"'`:\[\]()<>*^;\-=.\\ ]*$ AdditionalInformation: title: AdditionalInformation description: | Array that holds additional (unstructured) fields | Value Type | Description | Comments | Supported Countries| |---------------------------|-----------------------------------------------------------------------------|------------------------------------------------|--------------------| | ESCHEATMENT_PRODUCT_CODE | Escheatment product code | Only valid for Issuances. Maximum length of 6 | `US` and `CA` | | ADDITIONAL_DATA | Additional data to be included in the issuance or cancellation request | Only valid for Issuances. Maximum length of 35 | `US` and `CA` | type: array minItems: 0 maxItems: 10 items: $ref: '#/components/schemas/UnstructuredInformation' CheckRevision: title: CheckRevision type: object description: | Contains modified check numbers or amounts and list them. properties: checkNumber: $ref: '#/components/schemas/CheckNumber' checkAmount: $ref: '#/components/schemas/CheckAmount' RemainingTime: title: RemainingTime description: "The days remaining until the Check Stop is either renewed or expires. This in combination with 'expirationTime' \ndetermines the total amount of time a Check Stop is valid and in effect. Each day this value will decrement by 1 \nuntil it reaches 0. Represented as an ISO8601 duration of days.\n" type: string format: duration example: P300D minLength: 3 maxLength: 5 pattern: ^P[0-9]+D$ OriginalTime: title: OriginalTime description: "The initial value of 'remainingTime' when it is either renewed or a Check Stop is initially submitted. \nRepresented as an ISO8601 duration of days.\n" type: string format: duration example: P365D minLength: 3 maxLength: 5 pattern: ^P[0-9]+D$ ExpirationTime: title: ExpirationTime description: "The number of times a Check Stop will be renewed/the remaining whole years the Check Stop is in effect for. After \n'remainingTime' has decremented to 0, then this value is decremented by 1 and 'remainingTime' is reset to the \n'originalTime' value. This is repeated until 'expirationTime' reaches 0; when both 'expirationTime' and \n'remainingTime' reach 0, the Check Stop is no longer in effect. Represented as an ISO8601 duration of years.\n" type: string format: duration example: P6Y minLength: 3 maxLength: 3 pattern: ^P[0-9]+Y$ IsRenewed: title: IsRenewed description: "Indicates if the Check Stop will be renewed. If set to false, then the Check Stop will not be renewed and will expire \nwhen 'remainingTime' reaches 0.\n" type: boolean default: true AdditionalStopInfo: title: AdditionalStopInfo type: object description: Additional information about a Check Stop properties: remainingTime: $ref: '#/components/schemas/RemainingTime' originalTime: $ref: '#/components/schemas/OriginalTime' expirationTime: $ref: '#/components/schemas/ExpirationTime' isRenewed: $ref: '#/components/schemas/IsRenewed' required: - remainingTime - originalTime - expirationTime - isRenewed Id: title: Id type: string description: The unique identifier for the check item or action. minLength: 1 maxLength: 99 example: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckPrintType: title: CheckPrintType type: string description: | JP Morgan Print Template Types enum: - CASHIERS - ACCOUNTS_PAYABLE_6_COLUMN FormCode: title: FormCode type: string minLength: 1 maxLength: 8 pattern: ^[a-zA-Z0-9_]*$ description: | Form Code which corresponds to the specific document template used for printing. CheckApprovalStatus: title: CheckApprovalStatus type: string enum: - SUCCESS - REJECTED - ERROR - PENDING_CONFIRMATION - PENDING_APPROVAL description: "\nIndicates if the check print request has been approved for printing. By using this API, the check print request will \nbe automatically approved for printing. \n\nSome statuses are applicable to online submissions only (entered by means other than this API).\n\n| STATUS | Description | Supported Countries | Online Only |\n|---------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------|---------------------|---------------------|\n| SUCCESS | The check was successfully submitted. | `US` and `CA` | No |\n| ERROR | There was an error that prevented the printing of the checks. | `US` and `CA` | No |\n| REJECTED | The check was rejected by user action at the time of the check submission. Applicable only to non-API legacy submission methods. | `US` and `CA` | Yes |\n| PENDING_CONFIRMATION | The check was not confirmed at the time of submission. | `US` and `CA` | Yes |\n| PENDING_APPROVAL | The check was not approved at the time of submission. | `US` and `CA` | Yes |" CheckPrintValidationStatus: title: CheckPrintValidationStatus type: string enum: - ERROR - PENDING_INVESTIGATION - PENDING_FUNDING - SUCCESS description: |- Indicates if the check print request has been successfully validated for printing by the export process. | STATUS | Description | Supported Countries | |---------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------|---------------------| | ERROR | There was an error found during the validation process. | `US` and `CA` | | PENDING_INVESTIGATION | Print request is pending review. | `US` and `CA` | | PENDING_FUNDING | Print request is pending funding. | `US` and `CA` | | SUCCESS | No validation errors found. | `US` and `CA` | PrintValidationErrorMessage: type: string description: Humanly readable textual description of the error minLength: 1 maxLength: 99 PrintValidationErrors: type: array description: "Provides additional context and details on the validation errors as reported by asynchronous check print export \nservice.\n" minItems: 0 maxItems: 99 items: $ref: '#/components/schemas/PrintValidationErrorMessage' ExportStatus: title: ExportStatus type: boolean description: "Indicates if the check print request has been exported for printing. If set to \"true\" then the check print \nrequest has been successfully exported to the printing system.\n" Courier: title: Courier type: string minLength: 1 maxLength: 5 description: The courier name the customer has setup for delivery of the check. CourierBillingAccountNumber: title: CourierBillingAccountNumber type: string minLength: 2 maxLength: 17 pattern: ^\d+?$ description: "This field captures a regular account number .\n\n **Maximum length supported for different instruments and markets**:\n\n | Market \t | Maximum length limits |\n |-----------------------------------|---------------------------------------------------------------|\n | USA \t | 17 |\n | CAD \t | 17 |\n" PhoneNumber: title: PhoneNumber type: string minLength: 9 maxLength: 12 pattern: ^[0-9\-]+$ description: "Contact phone number for the delivery.\n\nNotes: \n- Required for non-USPS couriers.\n" examples: - 555-123-4567 - '5551234567' CompanyName: title: CompanyName minLength: 1 maxLength: 35 pattern: ^[a-zA-Z0-9\-=.,\\ ]*$ type: string description: | Company name associated with the delivery. Attention: title: Attention minLength: 0 maxLength: 35 pattern: ^[a-zA-Z0-9 ]*$ type: string description: "Attention line for the delivery. This is placed above the recipient line. Per mailing standards, this line is \ntypically used to specify a particular person or department within the recipient organization, when sending mail\nto a business address. Commonly abbreviated as \"ATTN\".\n" examples: - John Doe - Accounts Payable Department - Receiving Department - Department Head SpecialHandling: title: SpecialHandling type: object description: "When included, the check is delivered to the deliveryAddress in this model. Can be used for scenarios where the check \nneeds to be delivered to another entity rather than directly to the recipient (i.e. a third-party payment processor).\n" properties: deliveryAddress: $ref: '#/components/schemas/Address' companyName: $ref: '#/components/schemas/CompanyName' attention: $ref: '#/components/schemas/Attention' required: - deliveryAddress - companyName PrintDelivery: title: PrintDelivery description: Delivery configuration for check printing - agnostic of check type type: object properties: courier: $ref: '#/components/schemas/Courier' courierBillingAccountNumber: $ref: '#/components/schemas/CourierBillingAccountNumber' readOnly: true contactPhone: $ref: '#/components/schemas/PhoneNumber' specialHandling: $ref: '#/components/schemas/SpecialHandling' required: - courier VendorId: title: VendorId type: string minLength: 1 maxLength: 19 pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()*^;\-=.\\ ]*$ description: | Vendor Identification CheckPrintExportInfo: title: CheckPrintExportInfo type: object description: Structured representation of check print information properties: id: $ref: '#/components/schemas/Id' description: "The unique identifier for the check print item. If this was made by a legacy system, it may not have a print id \nassigned. Check Print requests made by the API are guaranteed to have a print id.\n" printType: $ref: '#/components/schemas/CheckPrintType' formCode: $ref: '#/components/schemas/FormCode' checkApprovalStatus: $ref: '#/components/schemas/CheckApprovalStatus' checkPrintValidationStatus: $ref: '#/components/schemas/CheckPrintValidationStatus' checkPrintValidationErrors: $ref: '#/components/schemas/PrintValidationErrors' exportStatus: $ref: '#/components/schemas/ExportStatus' delivery: $ref: '#/components/schemas/PrintDelivery' vendorId: $ref: '#/components/schemas/VendorId' required: - formCode - printType - checkApprovalStatus - checkPrintValidationStatus - checkPrintValidationErrors - exportStatus - delivery Description: title: Description type: string minLength: 1 maxLength: 50 pattern: ^[a-zA-Z0-9":\@\#\&\[\]();\-=. ]*$ description: A brief description or note for the remittance. InvoiceDate: title: InvoiceDate type: string description: Date of invoice as defined in check print request. ISO8601 date format format: date InvoiceNumber: title: InvoiceNumber type: string minLength: 1 maxLength: 30 pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()<>*;\-=.\\ ]*$ description: | The invoice number associated with the remittance. RemittanceType: title: RemittanceType description: Supported remittance amount types. type: string enum: - NET_AMOUNT - GROSS_AMOUNT - DISCOUNT_AMOUNT ReferredDocumentAmount: title: ReferredDocumentAmount description: Remittance amount information type: object properties: value: $ref: '#/components/schemas/CheckAmount' type: $ref: '#/components/schemas/RemittanceType' ReferredDocumentAmountsResponse: title: Referred Document Amounts Response type: array description: | Represents the amounts related to the remittance information. minItems: 0 maxItems: 3 items: $ref: '#/components/schemas/ReferredDocumentAmount' StructuredRemittanceResponse: title: StructuredRemittanceResponse type: object description: "Structured representation of a Check Remittance. \n\nNotes : \n * The NET_AMOUNT must be equal to the GROSS_AMOUNT minus the DISCOUNT_AMOUNT\n * All amounts must be in the same currency\n * Duplicate referredDocumentAmount types are not allowed\n" properties: description: type: array minItems: 0 maxItems: 2 items: $ref: '#/components/schemas/Description' documentDate: $ref: '#/components/schemas/InvoiceDate' documentIdentifier: $ref: '#/components/schemas/InvoiceNumber' amounts: $ref: '#/components/schemas/ReferredDocumentAmountsResponse' RemitterName: title: RemitterName type: string minLength: 1 maxLength: 40 pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()<>*^;\-=.\\ ]*$ description: | Remitter Name RemittanceResponse: title: RemittanceResponse type: object description: "Structured representation of a Check Remittance. Since this is not required for the Cashier Check print requests, \nthis is an optional field.\n\nNotes : \n * All amounts must be in the same currency\n * Remittance NET_AMOUNT sum total must equal the checkAmount in the parent object\n" properties: documents: type: array description: Structured remittance information minItems: 0 maxItems: 1000 items: $ref: '#/components/schemas/StructuredRemittanceResponse' remitter: $ref: '#/components/schemas/RemitterName' CheckBasic: title: CheckBasic type: object description: Structured representation of a Basic Check information properties: debtor: $ref: '#/components/schemas/Debtor' checkNumber: $ref: '#/components/schemas/CheckNumber' checkType: $ref: '#/components/schemas/CheckType' checkAmount: $ref: '#/components/schemas/CheckAmount' issueDate: $ref: '#/components/schemas/IssueDate' payees: type: array description: | This section lists the recipient details, payee name and payee priority. items: $ref: '#/components/schemas/Payee' minItems: 1 maxItems: 3 address: $ref: '#/components/schemas/Address' clientReference: $ref: '#/components/schemas/ClientReference' additionalInformation: $ref: '#/components/schemas/AdditionalInformation' checkSequenceNumber: $ref: '#/components/schemas/CheckSequenceNumber' status: $ref: '#/components/schemas/Status' statusUpdatedAt: type: string format: date description: |- The date that correlates with the current check status. An ISO 8601 date format. revision: $ref: '#/components/schemas/CheckRevision' checkRange: $ref: '#/components/schemas/CheckRange' description: "Supported for certain statuses such as STOP_ON_FILE (which would represent a range of checks that have been \nstopped)\n" additionalStopInfo: $ref: '#/components/schemas/AdditionalStopInfo' printInfo: $ref: '#/components/schemas/CheckPrintExportInfo' remittance: $ref: '#/components/schemas/RemittanceResponse' required: - debtor - checkAmount Pagination: title: Pagination type: object description: Contains the pagination details properties: offset: type: integer format: int32 minimum: 0 maximum: 999 description: The page offset limit: type: integer format: int32 minimum: 1 maximum: 10 description: The limit as defined in the request totalCount: type: integer format: int32 minimum: 0 maximum: 999999 description: The total count of the results returned. required: - offset - limit - totalCount RequestInvocationId: type: string minLength: 1 maxLength: 99 description: | A unique identifier for each received request, generated by the service. This ID serves as a reference for the clients to track and troubleshoot responses related to their requests. example: n8a40v3r-3769-4o79-9z0l-ale1edc90389 ChecksCollectionResponse: title: Checks Collection Response type: object summary: Response for Check Inquiry endpoint description: Contains the check object and related meta data. properties: checks: type: array items: $ref: '#/components/schemas/CheckBasic' minItems: 0 maxItems: 10 pagination: $ref: '#/components/schemas/Pagination' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - checks - pagination - requestInvocationId ErrorContext: title: Error Context type: object description: Gives context about an error properties: code: type: string description: | JPMC Short code that identifies the error - publicly cataloged and documented minLength: 5 maxLength: 5 pattern: ^\d+?$ message: type: string description: Humanly readable textual description of the error minLength: 1 maxLength: 99 location: type: string description: The location of the error occurred in the request. enum: - BODY - PATH - QUERY - HEADER minLength: 1 maxLength: 99 field: type: string description: | The field which caused the error. Where the location of error occurred is BODY the field would contain the JSON Path expression minLength: 1 maxLength: 99 required: - message Error: title: Error type: object description: The error object returned by the API. properties: title: type: string description: Short humanly-readable title of the error minLength: 1 maxLength: 99 httpStatus: type: integer format: int32 description: HTTP Status Code minimum: 100 maximum: 599 traceId: type: string minLength: 1 maxLength: 99 description: JPMC assigned trace identifier requestId: type: string description: The client originated requestId minLength: 1 maxLength: 99 context: type: array description: Provides additional context and details on the validation errors minItems: 1 maxItems: 99 items: $ref: '#/components/schemas/ErrorContext' required: - title ImageFormat: title: ImageFormat type: string description: | Image format of the check. default: PNG enum: - TIFF - PNG - JPEG CheckImageRequest: title: Image request object for images endpoint type: object summary: Request for Check Image description: Contains the fields needed to make an image search request, single or bulk. properties: debtor: $ref: '#/components/schemas/Debtor' checks: $ref: '#/components/schemas/CheckNumberSearchOptions' checkSequenceNumber: $ref: '#/components/schemas/CheckSequenceNumber' issueDateGte: type: string format: date description: | Represents a greater-or-equal match to support range style filtering on issue date. No more than one year can be between issueDateGte and issueDateLte. ISO8601 date format issueDateLte: type: string format: date description: | Represents a lesser-or-equal match to support range style filtering on issue date. No more than one year can be between issueDateGte and issueDateLte. ISO8601 date format postedDateGte: type: string format: date description: | Represents a greater-or-equal match to support range style filtering on posted date. No more than one year can be between postedDateGte and postedDateLte. ISO8601 date format postedDateLte: type: string format: date description: | Represents a lesser-or-equal match to support range style filtering on posted date. No more than one year can be between postedDateGte and postedDateLte. ISO8601 date format amountGte: $ref: '#/components/schemas/Decimal' description: | Represents a greater-or-equal match to support range style filtering on check amount. amountLte: $ref: '#/components/schemas/Decimal' description: | Represents a lesser-or-equal match to support range style filtering on check amount. imageFormat: $ref: '#/components/schemas/ImageFormat' limit: type: integer format: int32 minimum: 1 maximum: 10 default: 5 description: "The maximum number of results to return. This parameter is used for\npagination and limits the number of checks returned in the response.\nThe default value is 5, the maximum value for list searches is 5 and \nthe maximum value for range searches is 10.\n" offset: description: "This is the page number used for pagination. It is a 0-based value and for an initial search should be 0, then to \nretrieve the next page, increment by 1. For instance the first search uses 0, the followup search uses 1, 2, etc.\nDuring pagination, no other parameter should be altered.\n" type: integer format: int32 minimum: 0 maximum: 999 default: 0 required: - debtor - checks Image: type: string contentEncoding: base64 minLength: 1 maxLength: 99999999 CheckImage: title: CheckImage type: object description: Contains check image and check info. properties: debtor: $ref: '#/components/schemas/Debtor' checkNumber: $ref: '#/components/schemas/CheckNumber' checkAmount: $ref: '#/components/schemas/CheckAmount' paidDate: type: string description: Date when the check was paid. ISO8601 date format format: date frontImage: $ref: '#/components/schemas/Image' description: Back image encoded in BASE 64 format. backImage: $ref: '#/components/schemas/Image' description: Front image encoded in BASE 64 format. imageFormat: type: string enum: - TIFF - PNG - JPEG description: The check image format. checkType: $ref: '#/components/schemas/CheckType' required: - debtor - checkNumber - checkAmount - imageFormat - checkType CheckImageCollectionResponse: title: CheckImageCollectionResponse type: object summary: Response for Check Image description: Contains the check image in base64 encoded format and related meta data. properties: checkImages: type: array items: $ref: '#/components/schemas/CheckImage' minItems: 0 maxItems: 10 pagination: $ref: '#/components/schemas/Pagination' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - checkImages - pagination - requestInvocationId CheckIssue: title: CheckIssue summary: Request for Check Issue description: Request for Check Issue type: object properties: debtor: $ref: '#/components/schemas/Debtor' checkNumber: $ref: '#/components/schemas/CheckNumber' checkType: $ref: '#/components/schemas/CheckType' checkAmount: $ref: '#/components/schemas/CheckAmount' issueDate: $ref: '#/components/schemas/IssueDate' payees: type: array description: | This section lists the recipient details, payee name and payee priority. items: $ref: '#/components/schemas/Payee' minItems: 1 maxItems: 3 address: $ref: '#/components/schemas/Address' additionalInformation: $ref: '#/components/schemas/AdditionalInformation' required: - debtor - checkAmount - checkNumber - issueDate CheckIssueResponse: title: CheckIssueResponse summary: Response for Check Issue description: Response for Check Issue type: object properties: id: $ref: '#/components/schemas/Id' issueDate: $ref: '#/components/schemas/IssueDate' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - id - issueDate - requestInvocationId CheckIssueBulk: title: CheckIssueBulk summary: Request for Bulk Check Issue description: Bulk Check Issuance Request type: object required: - checks properties: checks: type: array items: $ref: '#/components/schemas/CheckIssue' minItems: 1 maxItems: 25 CheckIssuanceAndStatusBulkResponseFields: type: object title: CheckIssuanceAndStatusBulkResponseFields description: Check Issuance or Cancellation Bulk Response Fields properties: id: $ref: '#/components/schemas/Id' errors: type: array description: Errors encountered while processing the check instruction. minItems: 0 maxItems: 99 items: $ref: '#/components/schemas/ErrorContext' CheckIssuanceStatus: allOf: - $ref: '#/components/schemas/CheckIssue' - $ref: '#/components/schemas/CheckIssuanceAndStatusBulkResponseFields' required: - id CheckIssueBulkResponse: title: CheckIssueBulkResponse summary: Response for Bulk Check Issue description: Bulk Check Issuance Response Payload type: object properties: hasErrors: type: boolean description: Indicates if there is one or more errors encountered while processing the requests. checks: description: "Check details \n" type: array minItems: 1 maxItems: 25 items: $ref: '#/components/schemas/CheckIssuanceStatus' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - hasErrors - checks - requestInvocationId CheckCancellation: title: CheckCancellation summary: Request for Check Cancellation description: Request for Check Cancellation type: object properties: debtor: $ref: '#/components/schemas/Debtor' checkNumber: $ref: '#/components/schemas/CheckNumber' checkType: $ref: '#/components/schemas/CheckType' checkAmount: $ref: '#/components/schemas/CheckAmount' issueDate: $ref: '#/components/schemas/IssueDate' payees: type: array description: | This section lists the recipient details, payee name and payee priority. items: $ref: '#/components/schemas/Payee' minItems: 1 maxItems: 3 additionalInformation: $ref: '#/components/schemas/AdditionalInformation' required: - debtor - checkAmount - checkNumber - issueDate CheckCancellationResponse: title: CheckCancellationResponse summary: Response for Check Cancellation description: Response for Check Cancellation type: object properties: id: $ref: '#/components/schemas/Id' issueDate: $ref: '#/components/schemas/IssueDate' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - id - issueDate - requestInvocationId CheckCancellationBulk: title: CheckCancellationBulk summary: Request for Bulk Check Cancellation description: Request for Bulk Check Cancellation type: object required: - checks properties: checks: type: array items: $ref: '#/components/schemas/CheckCancellation' minItems: 1 maxItems: 25 CheckCancellationStatus: allOf: - $ref: '#/components/schemas/CheckCancellation' - $ref: '#/components/schemas/CheckIssuanceAndStatusBulkResponseFields' required: - id CheckCancellationBulkResponse: title: CheckCancellationBulkResponse summary: Response for Bulk Check Cancellation description: Response for Bulk Check Cancellation type: object properties: hasErrors: type: boolean description: Indicates if there is one or more errors encountered while processing the requests. checks: type: array description: Check details minItems: 1 maxItems: 25 items: $ref: '#/components/schemas/CheckCancellationStatus' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - hasErrors - checks - requestInvocationId CheckHealthResponse: title: CheckHealthResponse summary: Check Health Response description: | Check Health Response **Note:** The response schema varies based on the type of health check performed (SHALLOW or DEEP) and the client making the request (internal or external). type: object properties: status: type: string description: Current status of the application. enum: - UP - DOWN isReady: type: boolean description: | Indicates whether the application is fully operational and ready to handle incoming traffic. version: type: string description: Version of the application or service. minLength: 1 maxLength: 50 applicationName: type: string minLength: 1 maxLength: 99 description: | Name of the application for which the health status is being reported. statusUpdatedAt: type: string format: date-time description: Timestamp of the last status update. required: - applicationName - status - isReady - version - statusUpdatedAt StopType: title: StopType type: string enum: - SINGLE - RANGE description: Indicates whether the stop payment is for a single check or a range of checks StopCheck: title: StopCheck type: object description: This section captures either a single check number or a range of check numbers. Only one of the two properties should be provided. properties: checkNumber: $ref: '#/components/schemas/CheckNumber' checkRange: $ref: '#/components/schemas/CheckRange' StopReason: title: StopReason description: "\nThe reason for stopping or revoking the check.\n\nNote : \n* Stop reason codes are used to categorize and track the business justification for placing or revoking stop payments.\n* Some reasons are country-specific while others are available in both markets.\n\n| Stop Reason | Description | Supported Countries | \n|-----------------------|-----------------------------------------------------------------------------------------------|---------------------|\n| CHECKS_LOST | Checks Lost - Physical checks have been lost or misplaced | `US` | \n| CHECKS_DAMAGED | Check Damaged - Physical checks have been damaged | `US` | \n| WRONG_AMOUNT | Wrong Amount - Incorrect amount written on the check | `US` | \n| WRONG_PAYEE | Wrong Payee - Incorrect payee name on the check | `US` | \n| CHECKS_POST_DATED | Checks Post Dated - Checks with future dates | `US` | \n| CHECKS_ALTERED | Checks Altered - Checks have been modified after issuance | `US` | \n| CHECKS_FORGED | Checks Forged - Fraudulent or counterfeit checks | `US` | \n| SIGNER_OR_MAKER | Missing or Incorrect Signer or Maker on Front of the Check | `US` | \n| CHECKS_STOLEN | Checks Stolen - Checks have been stolen | `US` | \n| OTHER | Other - General category for reasons not covered above | `US` | \n| CLIENT_INSTRUCTION | Client Instruction - Stop payment requested per specific client directive or instruction | `CA` | \n| CHEQUE_LOST | Cheque Lost - Physical cheques have been lost or misplaced | `CA` | \n| CHEQUE_EXPIRED | Cheque Expired - Cheques have passed their expiration date and are no longer valid | `CA` | \n| CHEQUE_DESTROYED | Cheque Destroyed - Physical cheques have been intentionally destroyed or damaged beyond use | `CA` | \n| CHEQUE_STOLEN | Cheque Stolen - Cheques have been stolen or unlawfully taken | `CA` | \n" type: string enum: - CHECKS_LOST - CHECKS_DAMAGED - WRONG_AMOUNT - WRONG_PAYEE - CHECKS_POST_DATED - CHECKS_ALTERED - CHECKS_FORGED - SIGNER_OR_MAKER - CHECKS_STOLEN - OTHER - CLIENT_INSTRUCTION - CHEQUE_LOST - CHEQUE_EXPIRED - CHEQUE_DESTROYED - CHEQUE_STOLEN StopPaymentRequest: title: StopPaymentRequest description: | Check Stop Payment to place a stop payment on a specific check or a range of checks. If stopping a range of checks, check amount and payee details are not applicable. type: object required: - debtor - type - check - stopReason properties: debtor: $ref: '#/components/schemas/Debtor' type: $ref: '#/components/schemas/StopType' check: $ref: '#/components/schemas/StopCheck' stopReason: $ref: '#/components/schemas/StopReason' checkAmount: $ref: '#/components/schemas/CheckAmount' payees: type: array description: | This section lists the recipient details, payee name and payee priority. items: $ref: '#/components/schemas/Payee' minItems: 1 maxItems: 3 StopPaymentId: type: string description: Unique identifier for the stop payment request. minLength: 1 maxLength: 99 example: n8a40v3r-3769-4o79-9z0l-ale1edc90389 x-faker: random.uuid StopResponse: title: StopResponse description: Structured representation of a Single Stop Payment Result Response type: object required: - createdAt - requestInvocationId - id properties: createdAt: type: string format: date-time description: The date and time when the stop request was created example: '2023-10-01T12:00:00Z' requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' id: $ref: '#/components/schemas/StopPaymentId' StopPaymentRevokeIdRequest: title: StopPaymentRevokeIdRequest description: | Revoke a Stop Payment using stop payment identifier. type: object required: - stopId - operationType properties: stopId: $ref: '#/components/schemas/StopPaymentId' operationType: $ref: '#/components/schemas/StopPaymentRevokeOperationType' StopPaymentRevokeDetailsRequest: title: StopPaymentRevokeDetailsRequest description: | Revoke a Stop Payment using detailed information about the stop payment to be revoked. type: object required: - debtor - type - check - operationType properties: debtor: $ref: '#/components/schemas/Debtor' type: $ref: '#/components/schemas/StopType' operationType: $ref: '#/components/schemas/StopPaymentRevokeOperationType' check: $ref: '#/components/schemas/StopCheck' checkAmount: $ref: '#/components/schemas/CheckAmount' payees: type: array description: | This section lists the recipient details, payee name and payee priority. items: $ref: '#/components/schemas/Payee' minItems: 1 maxItems: 3 StopPaymentRevokeOperationType: type: string description: Discriminator of the stop payment revoke request type. enum: - ID - DETAIL StopPaymentRevokeRequest: title: StopPaymentRevokeRequest description: | Check stop payment revoke request schema captures the details required to revoke an active stop payment on a check or range of checks. Revoking a stop payment will remove the stop payment from the system, allowing the check(s) to be processed normally. If range of checks is being revoked, check amount and payee details are not applicable. Stop revoke can be done using stopId or by providing the stop payment details. type: object oneOf: - $ref: '#/components/schemas/StopPaymentRevokeIdRequest' - $ref: '#/components/schemas/StopPaymentRevokeDetailsRequest' discriminator: propertyName: operationType mapping: ID: '#/components/schemas/StopPaymentRevokeIdRequest' DETAIL: '#/components/schemas/StopPaymentRevokeDetailsRequest' CashierRemittanceType: title: CashierRemittanceType type: string description: | At this time only NET_AMOUNT is supported for Cashier remittance type enum: - NET_AMOUNT CashierReferredDocumentAmount: title: CashierReferredDocumentAmount description: Cashier Remittance amount information type: object properties: value: $ref: '#/components/schemas/CheckAmount' type: $ref: '#/components/schemas/CashierRemittanceType' CashierReferredDocumentAmounts: title: Cashier Referred Document Amounts type: array description: List of amounts related to the referred document for Cashier remittance minItems: 1 maxItems: 1 items: $ref: '#/components/schemas/CashierReferredDocumentAmount' CashierRemittanceDocument: title: CashierRemittanceDocument type: object description: "Structured representation of a Cashier's Check Remittance. \n\nNotes : \n * All amounts must be in the same currency\n" properties: description: type: array minItems: 0 maxItems: 2 items: $ref: '#/components/schemas/Description' documentDate: $ref: '#/components/schemas/InvoiceDate' amounts: $ref: '#/components/schemas/CashierReferredDocumentAmounts' CashierRemittanceInfo: title: CashierRemittance type: object description: "Structured representation of a Check Remittance. This is optional, but if used the net check amounts sum must equal the \ncheckAmount value in the parent object.\n\nNotes : \n * All amounts must be in the same currency\n * Remittance NET_AMOUNT sum total must equal the checkAmount in the parent object\n" properties: documents: type: array description: | Structured cashier remittance information. At this time, only up to 10 cashier remittances is supported. minItems: 0 maxItems: 10 items: $ref: '#/components/schemas/CashierRemittanceDocument' remitter: $ref: '#/components/schemas/RemitterName' required: - remitter CashiersCheckDetails: title: CashiersCheckDetails description: | Properties unique to Cashier's checks. Notes: - Only US accounts supported - Cannot be used on bank holidays or weekends (EST) - checkNumber is assigned by the bank - clientReference must be unique type: object properties: printType: default: CASHIERS $ref: '#/components/schemas/CheckPrintType' clientReference: $ref: '#/components/schemas/ClientReference' minLength: 1 maxLength: 10 remittance: $ref: '#/components/schemas/CashierRemittanceInfo' required: - printType - clientReference - remittance ReferredDocumentAmounts: title: Referred Document Amounts type: array description: "Represents the amounts related to the remittance information. \n\nNote : \n * The amount types must be unique within the object. I.e. Two net amounts are not allowed within the same referredDocumentAmount object\n" minItems: 3 maxItems: 3 items: $ref: '#/components/schemas/ReferredDocumentAmount' RemittanceDocument: title: StructuredRemittance type: object description: "Structured representation of a Check Remittance. \n\nNotes : \n * The NET_AMOUNT must be equal to the GROSS_AMOUNT minus the DISCOUNT_AMOUNT\n * All amounts must be in the same currency\n * Duplicate amounts types are not allowed\n" properties: description: type: array minItems: 1 maxItems: 1 items: $ref: '#/components/schemas/Description' documentDate: $ref: '#/components/schemas/InvoiceDate' documentIdentifier: $ref: '#/components/schemas/InvoiceNumber' amounts: $ref: '#/components/schemas/ReferredDocumentAmounts' required: - description - documentDate - documentIdentifier - amounts RemittanceInfo: title: RemittanceInfo type: object description: "Structured representation of a Check Remittance. The net check amounts sum must equal the checkAmount value in the parent object.\n\nNotes : \n * The net amount must be equal to the gross amount minus the discount amount.\n * All amounts must be in the same currency\n * Remittance NET_AMOUNT sum total must equal the checkAmount in the parent object\n" properties: documents: type: array description: Structured remittance information minItems: 1 maxItems: 1000 items: $ref: '#/components/schemas/RemittanceDocument' required: - documents MemoLine: title: MemoLine type: string minLength: 1 maxLength: 50 pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()<>*^;\-=.\\ ]*$ AccountsPayableCheckDetails: title: AccountsPayableCheckDetails description: | Properties unique to Accounts Payable (AP6DF) checks. Notes: - issueDate can be no more than 180 days in the future - If no issueDate provided, defaults to current date - issueDate cannot be a prior date type: object properties: printType: default: ACCOUNTS_PAYABLE_6_COLUMN $ref: '#/components/schemas/CheckPrintType' checkNumber: $ref: '#/components/schemas/CheckNumber' issueDate: $ref: '#/components/schemas/IssueDate' formCode: $ref: '#/components/schemas/FormCode' remittance: $ref: '#/components/schemas/RemittanceInfo' memoLines: type: array minItems: 0 maxItems: 1 items: $ref: '#/components/schemas/MemoLine' required: - printType - checkNumber - formCode - remittance PrintPayee: title: PrintPayee description: Payee information. These are the Payee lines on the check itself. At this time, Payee for print operations support a maximum of 40 characters and 2 payees. type: object properties: name: type: string description: Payee name. pattern: ^[a-zA-Z0-9"'`:\@\#\&\[\]()<>*^;\-=.\\ ]*$ minLength: 1 maxLength: 40 priority: type: integer format: int32 description: Priority of the payee. minimum: 1 maximum: 2 required: - name - priority PrintPayees: title: PrintPayees type: array description: "Payee lines on the check. Supports a maximum of 40 characters per payee \nand up to 2 payees for print operations.\n" minItems: 1 maxItems: 2 items: $ref: '#/components/schemas/PrintPayee' CheckPrintBase: title: CheckPrintBase description: Base properties common to all printable check types type: object oneOf: - $ref: '#/components/schemas/CashiersCheckDetails' - $ref: '#/components/schemas/AccountsPayableCheckDetails' discriminator: propertyName: printType mapping: CASHIERS: '#/components/schemas/CashiersCheckDetails' ACCOUNTS_PAYABLE_6_COLUMN: '#/components/schemas/AccountsPayableCheckDetails' properties: printType: $ref: '#/components/schemas/CheckPrintType' debtor: $ref: '#/components/schemas/Debtor' checkAmount: $ref: '#/components/schemas/CheckAmount' payees: $ref: '#/components/schemas/PrintPayees' address: $ref: '#/components/schemas/Address' delivery: $ref: '#/components/schemas/PrintDelivery' vendorId: $ref: '#/components/schemas/VendorId' required: - debtor - checkAmount - payees - address - delivery CheckPrintsRequest: title: CheckPrintsRequest description: | Check print request supporting multiple check types. Supported Templates: - US Cashier's Check (CASHIERS/DRAFT) - US and CA Accounts Payable 6 columns (AP6DF/AP6DF_MEMO) type: object allOf: - $ref: '#/components/schemas/CheckPrintBase' CheckPrintResponse: title: CheckPrintResponse summary: Response for Check Print description: Response for Check Print type: object properties: id: $ref: '#/components/schemas/Id' description: The unique identifier for the check print item issueDate: $ref: '#/components/schemas/IssueDate' description: Current active business date as processed by the Checks API service. requestInvocationId: $ref: '#/components/schemas/RequestInvocationId' required: - id - issueDate - requestInvocationId CheckPrintDetailsResponse: title: CheckPrintDetailsResponse description: Structure of Check Print Response allOf: - $ref: '#/components/schemas/CheckPrintExportInfo' - $ref: '#/components/schemas/CheckPrintBase' type: object examples: CheckInquirySingleSearchRequest: summary: US & CA - Single Check Search Request description: | This example shows a request to search for a single check using the Check Search API. The request includes various search criteria such as account number, check number, issue date range, and status. value: debtor: accountNumber: '1234567' checks: checkNumbers: - '1005' issueDateLte: '2005-03-31' issueDateGte: '2005-01-01' limit: 1 offset: 0 CheckInquiryRangeSearchRequest: summary: US & CA - Check Range Search Request description: | This example shows a request to search for checks within a specific range of check numbers using the Check Search API. The request includes various search criteria such as account number, check number range, issue date range, and status. value: debtor: accountNumber: '1234567' checks: checkRange: start: '1000' end: '2000' issueDateLte: '2005-03-31' issueDateGte: '2005-01-01' limit: 5 offset: 0 CheckInquiryListSearchRequest: summary: US & CA - Check List Search Request description: "This example shows a request to search for multiple checks using the Check Search API. \nThe request includes various search criteria such as account number, list of check numbers, \nissue date range, and status.\n" value: debtor: accountNumber: '1234567' checks: checkNumbers: - '1005' - '1068' issueDateLte: '2005-03-31' issueDateGte: '2005-01-01' limit: 5 offset: 0 CheckInquiryRangeStopSearchRequest: summary: US & CA - Check Stop Range Search Request description: | This example shows a request to search for stopped checks within a specific range of check numbers using the Check Search API. The request includes various search criteria such as account number, check number range, issue date range, and status. value: debtor: accountNumber: '1234567' checks: checkRange: start: '5000' end: '10000' postedDateLte: '2005-03-31' postedDateGte: '2005-01-01' status: STOP_ON_FILE limit: 5 offset: 0 CheckInquirySingleRequestedSearchRequest: summary: US & CA - Check Inquiry REQUESTED Search request Example description: "This example shows a request to search for a single check that has been printed using the Check Search API. The \nrequest includes various search criteria such as account number, check number, issue date range, and status.\n" value: debtor: accountNumber: '1234567' checks: checkNumbers: - '12000' issueDateLte: '2005-03-01' issueDateGte: '2005-01-01' status: REQUESTED limit: 1 offset: 0 CheckInquirySingleCashiersSearchRequest: summary: US & CA - Single Cashiers Check Search Request description: | This example shows a request to search for cashier's check by clientReference. value: debtor: accountNumber: '1234567' checks: checkRange: start: '1' end: '9999999999' clientReference: '1234567890' postedDateLte: '2005-12-30' postedDateGte: '2005-01-01' status: CASHIER_CHECK_OR_BANK_DRAFT_PRESENTED limit: 1 offset: 0 CheckInquirySingleSearchResponse: summary: US & CA - Single Check Search Response description: | This example shows a single check search response for a check. The check is a customer check with a debit status. The response includes details about the check, including the amount, currency, and parties involved. The response also includes metadata about the request and the check status. value: checks: - checkNumber: '1005' checkType: CUSTOMER_CHECK status: PAID statusUpdatedAt: '2005-04-01' issueDate: '2005-03-04' checkAmount: amount: '205.05' currency: USD debtor: accountNumber: '1234567' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: Chicago postalCode: '60642' countrySubDivision: IL country: US pagination: offset: 0 limit: 1 totalCount: 1 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckInquiryRangeSearchResponse: summary: US & CA - Check Range Search Response description: | This example shows a response from the Check Search API for a range of checks using the Check Range Search request. The response includes details about each check, including check number, type, status, issue date, amount, and payee information. value: checks: - checkNumber: '1005' checkType: CUSTOMER_CHECK status: PAID statusUpdatedAt: '2005-04-01' issueDate: '2005-03-04' checkAmount: amount: '205.05' currency: USD debtor: accountNumber: '1234567' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: Chicago postalCode: '60642' countrySubDivision: IL country: US - checkNumber: '1006' checkType: CUSTOMER_CHECK status: PAID statusUpdatedAt: '2005-04-01' issueDate: '2005-03-05' checkAmount: amount: '205.05' currency: USD debtor: accountNumber: '1234567' payees: - name: Jack Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: Chicago postalCode: '60642' countrySubDivision: IL country: US pagination: offset: 0 limit: 5 totalCount: 2 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckInquiryListSearchResponse: summary: US & CA - Check List Search Response description: | This example shows a response from the Check Search API for a list of checks using the Check List Search request. The response includes details about each check, including check number, type, status, issue date, amount, and payee information. value: checks: - checkNumber: '1005' checkType: CUSTOMER_CHECK status: PAID statusUpdatedAt: '2005-04-01' issueDate: '2005-03-04' checkAmount: amount: '205.05' currency: CAD debtor: accountNumber: '1234567' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: Toronto postalCode: M4C 1A1 countrySubDivision: 'ON' country: CA - checkNumber: '1068' checkType: CUSTOMER_CHECK status: PAID statusUpdatedAt: '2005-04-01' issueDate: '2005-03-04' checkAmount: amount: '205.05' currency: CAD debtor: accountNumber: '1234567' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: Toronto postalCode: M4C 1A1 countrySubDivision: 'ON' country: CA pagination: offset: 0 limit: 5 totalCount: 2 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckInquiryRangeStopSearchResponse: summary: US & CA - Check Stop Range Search Response description: "This example shows a response from the Check Search API for a range of checks\nusing the Check Range Search request. The first item is a single stop (a stop on a single check number) and a range \nstop (a stop on a range of check numbers).\n" value: checks: - checkNumber: '5000' checkType: CUSTOMER_CHECK status: STOP_ON_FILE statusUpdatedAt: '2005-02-01' checkAmount: amount: '0.00' currency: USD debtor: accountNumber: '1234567' additionalStopInfo: remainingTime: P300D expirationTime: P6Y originalTime: P365D isRenewed: true - checkNumber: '6000' checkRange: start: '6000' end: '7500' checkType: CUSTOMER_CHECK status: STOP_ON_FILE statusUpdatedAt: '2005-02-01' checkAmount: amount: '0.00' currency: USD debtor: accountNumber: '1234567' additionalStopInfo: remainingTime: P300D expirationTime: P6Y originalTime: P365D isRenewed: true pagination: offset: 0 limit: 5 totalCount: 2 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckInquiryRequestedSearchResponse: summary: US & CA - Check Inquiry REQUESTED Search Response description: | This example shows a response from the Check Search API for a check print request. value: checks: - checkNumber: '12000' checkType: CUSTOMER_CHECK status: REQUESTED issueDate: '2005-02-01' checkAmount: amount: '1000.00' currency: USD debtor: accountNumber: '1234567' printInfo: id: a1b2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6 printType: ACCOUNTS_PAYABLE_6_COLUMN formCode: JULIETWO checkApprovalStatus: SUCCESS checkPrintValidationStatus: SUCCESS checkPrintValidationErrors: [] exportStatus: true vendorId: '98765' delivery: courier: UPS contactPhone: 312-555-6789 payees: - name: John Doe address: addressLines: - 123 Main St - North Tower city: Chicago countrySubDivision: IL postalCode: '60606' country: US remittance: documents: - description: - Payment for services rendered documentDate: '2005-01-31' documentIdentifier: INV-11001 amounts: - value: amount: '1000.00' currency: USD type: NET_AMOUNT - value: amount: '0.00' currency: USD type: DISCOUNT_AMOUNT - value: amount: '1000.00' currency: USD type: GROSS_AMOUNT pagination: offset: 0 limit: 5 totalCount: 1 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckInquiryCashiersSearchResponse: summary: US & CA - Single Cashiers Check Search Response description: | This example shows a response for a cashier's check that has been paid. value: checks: - checkNumber: '5000' clientReference: '1234567890' status: PAID statusUpdatedAt: '2005-02-01' issueDate: '2025-01-01' checkAmount: amount: '100.00' currency: USD debtor: accountNumber: '1234567' payees: - name: John Doe address: addressLines: - 123 Main St - North Tower city: Chicago countrySubDivision: IL postalCode: '60606' country: US additionalInformation: [] pagination: offset: 0 limit: 5 totalCount: 1 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 InvalidDataError: summary: US & CA - Account Number Missing Response description: US & CA - Account Number Missing value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''accountNumber'' is mandatory' field: accountNumber location: BODY CheckInquiryChecksMissingResponse: summary: US & CA - Checks Missing Response description: "This example shows an error response from the Check Search API \nwhen the checks field is missing in the request.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''checks'' is mandatory' field: checks location: BODY UnauthorizedError: summary: Unauthorized description: Unauthorized value: title: Unauthorized httpStatus: 401 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - message: Unauthorized SecurityFailureError: value: title: Security Failure httpStatus: 403 traceId: 5914f136-4544-4b1c-8004-6c2388ba76b4 context: - code: '14000' message: Invalid client profile ServiceUnavailableError: value: title: System Error httpStatus: 503 traceId: d3dd646b-1fd0-4389-b6b4-0c3ab486ccc4 context: - code: '12000' message: Service Unavailable location: BODY field: service CheckImageSingleSearchRequest: summary: US & CA - Single Check Image Search Request description: "This example shows a request to search for images of a single check \nusing the Check Image Search API. The request includes various search criteria \nsuch as account number, check number, and issue date range.\n" value: debtor: accountNumber: '1234567' checks: checkNumbers: - '1005' issueDateLte: '2005-03-31' issueDateGte: '2005-01-01' imageFormat: TIFF limit: 1 offset: 0 CheckImageRangeSearchRequest: summary: US & CA - Range Check Image Search Request description: "This example shows a request to search for images of checks within a specific range of\ncheck numbers using the Check Image Search API. The request includes various search criteria \nsuch as account number, check number range, and issue date range.\n" value: debtor: accountNumber: '1234567' checks: checkRange: start: '1000' end: '2000' issueDateLte: '2005-03-31' issueDateGte: '2005-01-01' imageFormat: TIFF limit: 5 offset: 0 CheckImageListSearchRequest: summary: US & CA - Check Image List Search Request description: "This example shows a request to search for images of multiple checks \nusing the Check Image Search API. The request includes various search criteria \nsuch as account number, list of check numbers, and issue date range.\n" value: debtor: accountNumber: '1234567' checks: checkNumbers: - '1005' - '1068' issueDateLte: '2005-03-31' issueDateGte: '2005-01-01' imageFormat: TIFF limit: 5 offset: 0 CheckImageSingleSearchResponse: summary: US & CA - Single Check Image Search Response description: "This example shows a response from the Check Image Search API for a single check \nusing the Single Check Search request. Note how front and back images are returned \nfor a single check.\n" value: checkImages: - checkNumber: '1005' checkAmount: amount: '205.05' currency: USD debtor: accountNumber: '1234567' paidDate: '2005-04-01' frontImage: base64encodedstringfront backImage: base64encodedstringback imageFormat: TIFF checkType: CUSTOMER_CHECK pagination: offset: 0 limit: 1 totalCount: 1 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckImageRangeSearchResponse: summary: US & CA - Check Image Range Search Response description: | This example shows a response from the Check Image Search API for a range of checks using the Check Range Search request. value: checkImages: - checkNumber: '1005' checkAmount: amount: '205.05' currency: USD debtor: accountNumber: '1234567' paidDate: '2005-04-01' frontImage: base64encodedstringfront backImage: base64encodedstringback imageFormat: TIFF checkType: CUSTOMER_CHECK - checkNumber: '1006' checkAmount: amount: '205.05' currency: USD debtor: accountNumber: '1234567' paidDate: '2005-04-01' frontImage: base64encodedstringfront backImage: base64encodedstringback imageFormat: TIFF checkType: CUSTOMER_CHECK pagination: offset: 0 limit: 5 totalCount: 2 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckImageListSearchResponse: summary: US & CA - Check Image List Search Response description: | This example shows a response from the Check Image Search API for a list of checks using the Check List Search request. value: checkImages: - checkNumber: '1005' checkAmount: amount: '205.05' currency: CAD debtor: accountNumber: '1234567' paidDate: '2005-04-01' frontImage: base64encodedstringfront backImage: base64encodedstringback imageFormat: TIFF checkType: CUSTOMER_CHECK - checkNumber: '1068' checkAmount: amount: '205.05' currency: CAD debtor: accountNumber: '1234567' paidDate: '2005-04-01' frontImage: base64encodedstringfront backImage: base64encodedstringback imageFormat: TIFF checkType: CUSTOMER_CHECK pagination: offset: 0 limit: 5 totalCount: 2 requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckImageChecksMissingResponse: summary: US & CA - Checks Missing Response description: "This example shows check image error response details \nwhen the checks field is missing in the request.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''checks'' is mandatory' field: checks location: BODY CheckIssuanceWithEscheatmentRequest: summary: US & CA - Check Issuance With Escheatment Data Request description: "This example shows a request to submit check issuance details \nfor a single check with Escheatment data using the Single Check Issuance API.\n" value: debtor: accountNumber: '1234567890' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456790' issueDate: '2023-10-01' checkAmount: currency: CAD amount: '500.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: Toronto postalCode: M4C 1A1 countrySubDivision: 'ON' country: CA additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '123456' CheckIssuanceWithoutEscheatmentRequest: summary: US & CA - Check Issuance Without Escheatment Data Request description: "This example shows a request to submit check issuance details \nfor a single check without any Escheatment data using the Single Check Issuance API.\n" value: debtor: accountNumber: '1234567' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456790' issueDate: '2023-10-01' checkAmount: currency: USD amount: '500.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 CheckIssuanceResponse: summary: US & CA - Check Issuance Response description: | This example shows check issuance response details for a single check. value: id: 159f2487-f5ea-4cf5-8f4f-acb5653f3622 issueDate: '2023-10-01' requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckIssuanceCheckAmountMissingResponse: summary: US & CA - Check Amount Missing Response description: "This example shows check issuance error response details for a single check \nwhen the checkAmount field is missing in the request.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''checkAmount'' is mandatory' field: checkAmount location: BODY CheckIssuanceIssueDateMissingResponse: summary: US & CA - Issue Date Missing Response description: "This example shows check issuance error response details for a single check \nwhen the issueDate field is missing in the request.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''issueDate'' is mandatory' field: issueDate location: BODY CheckIssuanceDuplicateIssueResponse: summary: US & CA - Issue Already Exists Response description: "This example shows check issuance error response details for a single check \nwhen an issue already exists for the check.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: Issue already exists for check in Transaction Information location: BODY CheckIssuanceStopExistsResponse: summary: US & CA - Stop Exists for Check Response description: "This example shows check issuance error response details for a single check \nwhen a stop already exists for the check.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: Stop on file for check in Transaction Information location: BODY CheckIssuanceCancelExistsResponse: summary: US & CA - Cancel Exists for Check Response description: "This example shows check issuance error response details for a single check \nwhen a cancel already exists for the check.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: Cancel exists for check in Transaction Information location: BODY CheckIssuanceBulkRequest: summary: US & CA - Check Issuance Bulk Request description: "This example shows a request to submit check issuance details \nfor one or more checks using the Bulk Check Issuance API.\n" value: checks: - debtor: accountNumber: '1234567890' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456666' issueDate: '2023-10-01' checkAmount: currency: USD amount: '100.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: New York postalCode: '10001' countrySubDivision: NY country: US additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '787878' - debtor: accountNumber: '1234567891' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456667' issueDate: '2023-10-01' checkAmount: currency: USD amount: '355.00' payees: - name: Jane Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: New York postalCode: '10001' countrySubDivision: NY country: US additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '787878' - debtor: accountNumber: '1234567892' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456668' issueDate: '2023-10-01' checkAmount: currency: USD amount: '500.00' payees: - name: Jack Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: New York postalCode: '10001' countrySubDivision: NY country: US additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '787878' CheckIssuanceBulkResponse: summary: US & CA - Check Issuance Bulk Response description: | This example shows check issuance response details for one or more checks. value: hasErrors: false checks: - id: 311c5eec-29fd-4837-9354-bb34f733c339 status: OUTSTANDING debtor: accountNumber: '1234567890' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456666' checkType: CUSTOMER_CHECK issueDate: '2023-10-01' checkAmount: currency: USD amount: '100.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: New York postalCode: '10001' countrySubDivision: NY country: US additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '787878' errors: [] - id: 511c5eec-29fd-4837-9354-bb34f733c339 status: OUTSTANDING debtor: accountNumber: '1234567891' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456667' checkType: CUSTOMER_CHECK issueDate: '2023-10-01' checkAmount: currency: USD amount: '355.00' payees: - name: Jane Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: New York postalCode: '10001' countrySubDivision: NY country: US additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '787878' errors: [] - id: 911c5eec-29fd-4837-9354-bb34f733c339 status: OUTSTANDING debtor: accountNumber: '1234567892' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456668' checkType: CUSTOMER_CHECK issueDate: '2023-10-01' checkAmount: currency: USD amount: '500.00' payees: - name: Jack Doe priority: 1 - name: ELITE CORP priority: 2 - name: Esquire priority: 3 address: addressLines: - 123 Main St - Suite 100 - North Tower city: New York postalCode: '10001' countrySubDivision: NY country: US additionalInformation: - valueType: ESCHEATMENT_PRODUCT_CODE text: '787878' errors: [] requestInvocationId: 451f5e71-2aa0-49bd-b3c4-8fe43961801c CheckCancellationRequest: summary: US & CA - Check Cancellation Request description: "This example shows a request to submit check cancellation details \nfor a single check using the Single Check Cancellation API.\n" value: debtor: accountNumber: '1234567' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456666' issueDate: '2023-10-01' checkAmount: currency: USD amount: '500.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 CheckCancellationResponse: summary: US & CA - Check Cancellation Response description: This example shows check cancellation response details for a single check. value: id: 159f2487-f5ea-4cf5-8f4f-acb5653f3622 issueDate: '2023-10-01' requestInvocationId: n8a40v3r-3769-4o79-9z0l-ale1edc90389 CheckCancellationCheckAmountMissingResponse: summary: US & CA - Check Amount Missing Response description: "This example shows check cancellation error response details for a single check \nwhen the checkAmount field is missing in the request.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''checkAmount'' is mandatory' field: checkAmount location: BODY CheckCancellationIssueDateMissingResponse: summary: US & CA - Issue Date Missing Response description: "This example shows check cancellation error response details for a single check \nwhen the issueDate field is missing in the request.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10001' message: '''issueDate'' is mandatory' field: issueDate location: BODY CheckCancellationDuplicateCancelResponse: summary: US & CA - Check Cancel Duplicate Cancel Response description: "This example shows check cancellation error response details for a single check \nwhen the cancel already exists for the check.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: Cancel already exists for check in Transaction Information location: BODY CheckCancellationStopExistsResponse: summary: US & CA - Stop Exists for Check Response description: "This example shows check cancellation error response details for a single check \nwhen a stop already exists for the check.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: Stop on file for check in Transaction Information location: BODY CheckCancellationCheckHasClearedResponse: summary: US & CA - Check Has Already Cleared Response description: "This example shows check cancellation error response details for a single check \nwhen the check has already been cleared.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: Check has already cleared in Payment Information location: BODY CheckCancellationAmountMismatchResponse: summary: US & CA - Cancel Amount Mismatch Response description: "This example shows check cancellation error response details for a single check \nwhen the cancel amount on the check does not match the existing issue amount on the same check.\n" value: title: Invalid data httpStatus: 400 traceId: 0eca2e1a-74b7-44b7-9e66-4a6ec8336eb9 context: - code: '10199' message: 'Cancel amount must match existing issue amount in Transaction Information : 123.99' location: BODY CheckCancellationBulkRequest: summary: US & CA - Check Cancellation Bulk Request description: "This example shows a request to submit check cancellation details \nfor one or more checks using the Bulk Check Cancellation API.\n" value: checks: - debtor: accountNumber: '1234567890' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456666' issueDate: '2023-10-01' checkAmount: currency: CAD amount: '100.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 - debtor: accountNumber: '1234567891' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456667' issueDate: '2023-10-01' checkAmount: currency: CAD amount: '355.00' payees: - name: Jane Doe priority: 1 - name: ELITE CORP priority: 2 - debtor: accountNumber: '1234567892' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456668' issueDate: '2023-10-01' checkAmount: currency: CAD amount: '500.00' payees: - name: Jack Doe priority: 1 - name: ELITE CORP priority: 2 CheckCancellationBulkResponse: summary: US & CA - Check Cancellation Bulk Response description: | This example shows check cancellation response details for one or more checks. value: hasErrors: false checks: - id: 311c5eec-29fd-4837-9354-bb34f733c339 status: CANCELLED debtor: accountNumber: '1234567890' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456666' checkType: CUSTOMER_CHECK issueDate: '2023-10-01' checkAmount: currency: CAD amount: '100.00' payees: - name: John Doe priority: 1 - name: ELITE CORP priority: 2 errors: [] - id: 511c5eec-29fd-4837-9354-bb34f733c339 status: CANCELLED debtor: accountNumber: '1234567891' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456667' checkType: CUSTOMER_CHECK issueDate: '2023-10-01' checkAmount: currency: CAD amount: '355.00' payees: - name: Jane Doe priority: 1 - name: ELITE CORP priority: 2 errors: [] - id: 911c5eec-29fd-4837-9354-bb34f733c339 status: CANCELLED debtor: accountNumber: '1234567892' financialInstitutionId: id: '123456789' idType: USABA checkNumber: '123456668' checkType: CUSTOMER_CHECK issueDate: '2023-10-01' checkAmount: currency: CAD amount: '500.00' payees: - name: Jack Doe priority: 1 - name: ELITE CORP priority: 2 errors: [] requestInvocationId: 451f5e71-2aa0-49bd-b3c4-8fe43961801c HealthResponseAllServicesUpShallow: summary: US & CA - Health Shallow Response All Services Up description: | This example shows a health check response where all services are up and running. value: applicationName: Checks API Service version: '2.1' status: UP isReady: true statusUpdatedAt: '2025-09-17T12:00:00Z' CheckSingleStopPaymentGeneralRequest: summary: US & CA - Single Stop Payment Request description: | This example shows a request to submit a general single stop payment details with required fields only. value: 
[...]
